# std::experimental::source_location::function_name

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr const char* function_name() const; |  | (library fundamentals TS v2)

Returns the name of the function associated with the position represented by this object, if any.

### Parameters

(none)

### Return value

If this object represents a position in a body of a function, returns an implementation-defined null-terminated byte string corresponding to the name of the function.

Otherwise, an empty string is returned.

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

line | return the line number represented by this object (public member function)
column | return the column number represented by this object (public member function)
file_name | return the file name represented by this object (public member function)
C++ documentation for Filename and line information

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/function_name&oldid=91356"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template